# Visualization

## Utilities

### HtmlAnalysis

[\[source\]](https://github.com/eclipse/deeplearning4j/tree/master/datavec/datavec-api/src/main/java/org/datavec/api/transform/ui/HtmlAnalysis.java)

**createHtmlAnalysisString**

```
public static String createHtmlAnalysisString(DataAnalysis analysis) throws Exception
```

Render a data analysis object as a HTML file. This will produce a summary table, along charts for numerical columns. The contents of the HTML file are returned as a String, which should be written to a .html file.

* param analysis Data analysis object to render
* see #createHtmlAnalysisFile(DataAnalysis, File)

**createHtmlAnalysisFile**

```
public static void createHtmlAnalysisFile(DataAnalysis dataAnalysis, File output) throws Exception
```

Render a data analysis object as a HTML file. This will produce a summary table, along charts for numerical columns

* param dataAnalysis Data analysis object to render
* param output Output file (should have extension .html)

### HtmlSequencePlotting

[\[source\]](https://github.com/eclipse/deeplearning4j/tree/master/datavec/datavec-api/src/main/java/org/datavec/api/transform/ui/HtmlSequencePlotting.java)

A simple utility for plotting DataVec sequence data to HTML files. Each file contains only one sequence. Each column is plotted separately; only numerical and categorical columns are plotted.

**createHtmlSequencePlots**

```
public static String createHtmlSequencePlots(String title, Schema schema, List<List<Writable>> sequence)
                    throws Exception
```

Create a HTML file with plots for the given sequence.

* param title Title of the page
* param schema Schema for the data
* param sequence Sequence to plot
* return HTML file as a string

**createHtmlSequencePlotFile**

```
public static void createHtmlSequencePlotFile(String title, Schema schema, List<List<Writable>> sequence,
                    File output) throws Exception
```

Create a HTML file with plots for the given sequence and write it to a file.

* param title Title of the page
* param schema Schema for the data
* param sequence Sequence to plot


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://deeplearning4j.konduit.ai/datavec/reference/visualization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
